XFcCommService class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcCommService Class Reference

Base class for communication services. More...

Inheritance diagram for XFcCommService:

[legend]
List of all members.

## Public Member Functions

virtual XFCIMPORT | ~XFcCommService ()
| Virtual destructor.
XFCIMPORT INT | getType () const
| Gets type of service.
virtual XFCIMPORT INT | inquiry (const XFcAdvertiser &, XFcDeviceDiscovery *, const XFcUUID *aUuid=NULL)
| Device inquiry.
virtual XFCIMPORT void | cancelInquiry ()
| Stops device inquiry.
virtual XFCIMPORT void | inquiryResult (XFcLinkedList< XFcAdvertiser * > &aAdverticePacket)
| Inquiry result.
virtual XFCIMPORT INT | advertise (const XFcAdvertiser &aAdvertiser, const XFcUUID *aUuid=NULL)
| Starts to advertise service.
virtual XFCIMPORT INT | updateAdvertise (const XFcAdvertiser &aAdvertiser)
| Supports special features for e.g. bt comm service.
virtual XFCIMPORT void | cancelAdvertise ()
| Stops advertise service.

## Protected Member Functions

INT | init (void *aService, INT aType)
| Initializes the XFcCommService.
| XFcCommService ()
| Protected constructor.

## Protected Attributes

void * | mService
| Holds system specifig interface to services.
INT | mType
| Comm service type.

## Detailed Description

Base class for communication services.

Communication service is used to advertice game server or inquiry adveticement from game server.

## Constructor & Destructor Documentation

XFcCommService::XFcCommService | ( |  | ) | `[protected]`

| Protected constructor.

virtual XFCIMPORT XFcCommService::~XFcCommService | ( |  | ) | `[virtual]`

| Virtual destructor.

## Member Function Documentation

virtual XFCIMPORT INT XFcCommService::advertise | ( | const XFcAdvertiser & | aAdvertiser,
|  | const XFcUUID * | aUuid = NULL
| ) | `[virtual]`

Starts to advertise service.

Parameters:

  aAdvertiser | advertise base class.

Returns:
  1 if advertise starts succesfully, or 0 otherwise.

Reimplemented in XFcBtCommService, and XFcInetCommService.

virtual XFCIMPORT void XFcCommService::cancelAdvertise | ( |  | ) | `[virtual]`

| Stops advertise service. Reimplemented in XFcBtCommService, and XFcInetCommService.

virtual XFCIMPORT void XFcCommService::cancelInquiry | ( |  | ) | `[virtual]`

| Stops device inquiry. Reimplemented in XFcBtCommService, and XFcInetCommService.

XFCIMPORT INT XFcCommService::getType | ( |  | ) | const

Gets type of service.

Returns:
  type of service, e.g. XFCNET_TYPE_INET.

INT XFcCommService::init | ( | void * | aService,
|  | INT | aType
| ) | `[protected]`

Initializes the XFcCommService.

Returns:
  1 if successful, or 0 otherwise.

virtual XFCIMPORT INT XFcCommService::inquiry | ( | const XFcAdvertiser & | ,
|  | XFcDeviceDiscovery * | ,
|  | const XFcUUID * | aUuid = NULL
| ) | `[virtual]`

Device inquiry.

Parameters:

  aAdvertise | advertise inquiry callback interface.
  aDeviceDiscovery | device discovery interface.

Returns:
  1 if succesful, or XFCNET_ERROR if unsuccessful.

Reimplemented in XFcBtCommService, and XFcInetCommService.

virtual XFCIMPORT void XFcCommService::inquiryResult | ( | XFcLinkedList< XFcAdvertiser * > & | aAdverticePacket | ) | `[virtual]`

Inquiry result.

Parameters:

  advertice | packet from adverticer.

Reimplemented in XFcBtCommService, and XFcInetCommService.

virtual XFCIMPORT INT XFcCommService::updateAdvertise | ( | const XFcAdvertiser & | aAdvertiser | ) | `[virtual]`

| Supports special features for e.g. bt comm service. Reimplemented in XFcBtCommService, and XFcInetCommService.

## Member Data Documentation

void* XFcCommService::mService`[protected]`

| Holds system specifig interface to services.

INT XFcCommService::mType`[protected]`

| Comm service type.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch